PDA

View Full Version : SFML OpenGL implementation



znyk11
02-22-2018, 03:05 AM
Welcome

I successful build my SFML first example.But when I run application It opens a window with information:

Warning: Detected "Microsoft Corporation GDI Generic" OpenGL implementation
The current OpenGL implementation is not hardware-accelerated
Setting vertical sync not supported

Is somthing wrong with my graphics card driver ?
I have got ATI Radeon HD 3870 graphics card and driver date is 31.01.2018

mhagain
02-22-2018, 03:43 AM
The Radeon HD 3870 dates to 2007 and AMD no longer provide drivers for it;the most recent driver was released in 2013 and it has been desupported since.

I highly doubt your driver date; best case is that it's a hacked-together "community" driver, so you shouldn't expect things to work flawlessly (even if "everything else works").